<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>STTextShapeType (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="STTextShapeType (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/STTextShapeType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/sl/draw/binding/STShapeType.html"
               title="enum in org.apache.poi.sl.draw.binding"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/draw/binding/STTextShapeType.html" target="_top">Frames</a>
        </li>
        <li><a href="STTextShapeType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.draw.binding</div>
    <h2 title="Enum STTextShapeType" class="title">Enum STTextShapeType</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Enum&lt;<a href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                         title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a>&gt;
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.sl.draw.binding.STTextShapeType</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable, java.lang.Comparable&lt;<a
                            href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                            title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public enum <span class="typeNameLabel">STTextShapeType</span>
extends java.lang.Enum&lt;<a href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                             title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a>&gt;</pre>
                <div class="block"><p>Java class for ST_TextShapeType.

                    <p>The following schema fragment specifies the expected content contained within this class.
                    <p>
                    <pre>
 &lt;simpleType name="ST_TextShapeType"&gt;
   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token"&gt;
     &lt;enumeration value="textNoShape"/&gt;
     &lt;enumeration value="textPlain"/&gt;
     &lt;enumeration value="textStop"/&gt;
     &lt;enumeration value="textTriangle"/&gt;
     &lt;enumeration value="textTriangleInverted"/&gt;
     &lt;enumeration value="textChevron"/&gt;
     &lt;enumeration value="textChevronInverted"/&gt;
     &lt;enumeration value="textRingInside"/&gt;
     &lt;enumeration value="textRingOutside"/&gt;
     &lt;enumeration value="textArchUp"/&gt;
     &lt;enumeration value="textArchDown"/&gt;
     &lt;enumeration value="textCircle"/&gt;
     &lt;enumeration value="textButton"/&gt;
     &lt;enumeration value="textArchUpPour"/&gt;
     &lt;enumeration value="textArchDownPour"/&gt;
     &lt;enumeration value="textCirclePour"/&gt;
     &lt;enumeration value="textButtonPour"/&gt;
     &lt;enumeration value="textCurveUp"/&gt;
     &lt;enumeration value="textCurveDown"/&gt;
     &lt;enumeration value="textCanUp"/&gt;
     &lt;enumeration value="textCanDown"/&gt;
     &lt;enumeration value="textWave1"/&gt;
     &lt;enumeration value="textWave2"/&gt;
     &lt;enumeration value="textDoubleWave1"/&gt;
     &lt;enumeration value="textWave4"/&gt;
     &lt;enumeration value="textInflate"/&gt;
     &lt;enumeration value="textDeflate"/&gt;
     &lt;enumeration value="textInflateBottom"/&gt;
     &lt;enumeration value="textDeflateBottom"/&gt;
     &lt;enumeration value="textInflateTop"/&gt;
     &lt;enumeration value="textDeflateTop"/&gt;
     &lt;enumeration value="textDeflateInflate"/&gt;
     &lt;enumeration value="textDeflateInflateDeflate"/&gt;
     &lt;enumeration value="textFadeRight"/&gt;
     &lt;enumeration value="textFadeLeft"/&gt;
     &lt;enumeration value="textFadeUp"/&gt;
     &lt;enumeration value="textFadeDown"/&gt;
     &lt;enumeration value="textSlantUp"/&gt;
     &lt;enumeration value="textSlantDown"/&gt;
     &lt;enumeration value="textCascadeUp"/&gt;
     &lt;enumeration value="textCascadeDown"/&gt;
   &lt;/restriction&gt;
 &lt;/simpleType&gt;
 </pre>
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== ENUM CONSTANT SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.summary">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Enum Constant Summary table, listing enum constants, and an explanation">
                            <caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Enum Constant and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_ARCH_DOWN">TEXT_ARCH_DOWN</a></span></code>
                                    <div class="block">Downward Arch Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_ARCH_DOWN_POUR">TEXT_ARCH_DOWN_POUR</a></span></code>
                                    <div class="block">Downward Pour Arch Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_ARCH_UP">TEXT_ARCH_UP</a></span></code>
                                    <div class="block">Upward Arch Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_ARCH_UP_POUR">TEXT_ARCH_UP_POUR</a></span></code>
                                    <div class="block">Upward Pour Arch Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_BUTTON">TEXT_BUTTON</a></span></code>
                                    <div class="block">Button Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_BUTTON_POUR">TEXT_BUTTON_POUR</a></span></code>
                                    <div class="block">Button Pour Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_CAN_DOWN">TEXT_CAN_DOWN</a></span></code>
                                    <div class="block">Downward Can Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_CAN_UP">TEXT_CAN_UP</a></span></code>
                                    <div class="block">Upward Can Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_CASCADE_DOWN">TEXT_CASCADE_DOWN</a></span></code>
                                    <div class="block">Downward Cascade Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_CASCADE_UP">TEXT_CASCADE_UP</a></span></code>
                                    <div class="block">Upward Cascade Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_CHEVRON">TEXT_CHEVRON</a></span></code>
                                    <div class="block">Chevron Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_CHEVRON_INVERTED">TEXT_CHEVRON_INVERTED</a></span></code>
                                    <div class="block">Inverted Chevron Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_CIRCLE">TEXT_CIRCLE</a></span></code>
                                    <div class="block">Circle Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_CIRCLE_POUR">TEXT_CIRCLE_POUR</a></span></code>
                                    <div class="block">Circle Pour Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_CURVE_DOWN">TEXT_CURVE_DOWN</a></span></code>
                                    <div class="block">Downward Curve Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_CURVE_UP">TEXT_CURVE_UP</a></span></code>
                                    <div class="block">Upward Curve Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_DEFLATE">TEXT_DEFLATE</a></span></code>
                                    <div class="block">Deflate Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_DEFLATE_BOTTOM">TEXT_DEFLATE_BOTTOM</a></span></code>
                                    <div class="block">Bottom Deflate Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_DEFLATE_INFLATE">TEXT_DEFLATE_INFLATE</a></span></code>
                                    <div class="block">Deflate-Inflate Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_DEFLATE_INFLATE_DEFLATE">TEXT_DEFLATE_INFLATE_DEFLATE</a></span></code>
                                    <div class="block">Deflate-Inflate-Deflate Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_DEFLATE_TOP">TEXT_DEFLATE_TOP</a></span></code>
                                    <div class="block">Top Deflate Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_DOUBLE_WAVE_1">TEXT_DOUBLE_WAVE_1</a></span></code>
                                    <div class="block">Double Wave 1 Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_FADE_DOWN">TEXT_FADE_DOWN</a></span></code>
                                    <div class="block">Downward Fade Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_FADE_LEFT">TEXT_FADE_LEFT</a></span></code>
                                    <div class="block">Left Fade Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_FADE_RIGHT">TEXT_FADE_RIGHT</a></span></code>
                                    <div class="block">Right Fade Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_FADE_UP">TEXT_FADE_UP</a></span></code>
                                    <div class="block">Upward Fade Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_INFLATE">TEXT_INFLATE</a></span></code>
                                    <div class="block">Inflate Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_INFLATE_BOTTOM">TEXT_INFLATE_BOTTOM</a></span></code>
                                    <div class="block">Bottom Inflate Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_INFLATE_TOP">TEXT_INFLATE_TOP</a></span></code>
                                    <div class="block">Top Inflate Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_NO_SHAPE">TEXT_NO_SHAPE</a></span></code>
                                    <div class="block">No Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_PLAIN">TEXT_PLAIN</a></span></code>
                                    <div class="block">Plain Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_RING_INSIDE">TEXT_RING_INSIDE</a></span></code>
                                    <div class="block">Inside Ring Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_RING_OUTSIDE">TEXT_RING_OUTSIDE</a></span></code>
                                    <div class="block">Outside Ring Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_SLANT_DOWN">TEXT_SLANT_DOWN</a></span></code>
                                    <div class="block">Downward Slant Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_SLANT_UP">TEXT_SLANT_UP</a></span></code>
                                    <div class="block">Upward Slant Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_STOP">TEXT_STOP</a></span></code>
                                    <div class="block">Stop Sign Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_TRIANGLE">TEXT_TRIANGLE</a></span></code>
                                    <div class="block">Triangle Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_TRIANGLE_INVERTED">TEXT_TRIANGLE_INVERTED</a></span></code>
                                    <div class="block">Inverted Triangle Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_WAVE_1">TEXT_WAVE_1</a></span></code>
                                    <div class="block">Wave 1 Text Shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_WAVE_2">TEXT_WAVE_2</a></span></code>
                                    <div class="block">Wave 2 Text Shape</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#TEXT_WAVE_4">TEXT_WAVE_4</a></span></code>
                                    <div class="block">Wave 4 Text Shape</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#fromValue-java.lang.String-">fromValue</a></span>(java.lang.String&nbsp;v)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#value--">value</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Returns the enum constant of this type with the specified name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html#values--">values</a></span>()</code>
                                    <div class="block">Returns an array containing the constants of this enum type, in
                                        the order they are declared.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
                                <code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal,
                                    toString, valueOf</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ ENUM CONSTANT DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.detail">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Detail</h3>
                        <a name="TEXT_NO_SHAPE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_NO_SHAPE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_NO_SHAPE</pre>
                                <div class="block">No Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_PLAIN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_PLAIN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_PLAIN</pre>
                                <div class="block">Plain Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_STOP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_STOP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_STOP</pre>
                                <div class="block">Stop Sign Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_TRIANGLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_TRIANGLE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_TRIANGLE</pre>
                                <div class="block">Triangle Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_TRIANGLE_INVERTED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_TRIANGLE_INVERTED</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_TRIANGLE_INVERTED</pre>
                                <div class="block">Inverted Triangle Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_CHEVRON">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_CHEVRON</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_CHEVRON</pre>
                                <div class="block">Chevron Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_CHEVRON_INVERTED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_CHEVRON_INVERTED</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_CHEVRON_INVERTED</pre>
                                <div class="block">Inverted Chevron Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_RING_INSIDE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_RING_INSIDE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_RING_INSIDE</pre>
                                <div class="block">Inside Ring Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_RING_OUTSIDE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_RING_OUTSIDE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_RING_OUTSIDE</pre>
                                <div class="block">Outside Ring Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_ARCH_UP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_ARCH_UP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_ARCH_UP</pre>
                                <div class="block">Upward Arch Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_ARCH_DOWN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_ARCH_DOWN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_ARCH_DOWN</pre>
                                <div class="block">Downward Arch Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_CIRCLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_CIRCLE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_CIRCLE</pre>
                                <div class="block">Circle Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_BUTTON">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_BUTTON</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_BUTTON</pre>
                                <div class="block">Button Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_ARCH_UP_POUR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_ARCH_UP_POUR</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_ARCH_UP_POUR</pre>
                                <div class="block">Upward Pour Arch Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_ARCH_DOWN_POUR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_ARCH_DOWN_POUR</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_ARCH_DOWN_POUR</pre>
                                <div class="block">Downward Pour Arch Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_CIRCLE_POUR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_CIRCLE_POUR</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_CIRCLE_POUR</pre>
                                <div class="block">Circle Pour Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_BUTTON_POUR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_BUTTON_POUR</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_BUTTON_POUR</pre>
                                <div class="block">Button Pour Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_CURVE_UP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_CURVE_UP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_CURVE_UP</pre>
                                <div class="block">Upward Curve Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_CURVE_DOWN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_CURVE_DOWN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_CURVE_DOWN</pre>
                                <div class="block">Downward Curve Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_CAN_UP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_CAN_UP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_CAN_UP</pre>
                                <div class="block">Upward Can Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_CAN_DOWN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_CAN_DOWN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_CAN_DOWN</pre>
                                <div class="block">Downward Can Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_WAVE_1">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_WAVE_1</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_WAVE_1</pre>
                                <div class="block">Wave 1 Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_WAVE_2">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_WAVE_2</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_WAVE_2</pre>
                                <div class="block">Wave 2 Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_DOUBLE_WAVE_1">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_DOUBLE_WAVE_1</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_DOUBLE_WAVE_1</pre>
                                <div class="block">Double Wave 1 Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_WAVE_4">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_WAVE_4</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_WAVE_4</pre>
                                <div class="block">Wave 4 Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_INFLATE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_INFLATE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_INFLATE</pre>
                                <div class="block">Inflate Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_DEFLATE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_DEFLATE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_DEFLATE</pre>
                                <div class="block">Deflate Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_INFLATE_BOTTOM">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_INFLATE_BOTTOM</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_INFLATE_BOTTOM</pre>
                                <div class="block">Bottom Inflate Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_DEFLATE_BOTTOM">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_DEFLATE_BOTTOM</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_DEFLATE_BOTTOM</pre>
                                <div class="block">Bottom Deflate Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_INFLATE_TOP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_INFLATE_TOP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_INFLATE_TOP</pre>
                                <div class="block">Top Inflate Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_DEFLATE_TOP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_DEFLATE_TOP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_DEFLATE_TOP</pre>
                                <div class="block">Top Deflate Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_DEFLATE_INFLATE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_DEFLATE_INFLATE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_DEFLATE_INFLATE</pre>
                                <div class="block">Deflate-Inflate Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_DEFLATE_INFLATE_DEFLATE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_DEFLATE_INFLATE_DEFLATE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_DEFLATE_INFLATE_DEFLATE</pre>
                                <div class="block">Deflate-Inflate-Deflate Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_FADE_RIGHT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_FADE_RIGHT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_FADE_RIGHT</pre>
                                <div class="block">Right Fade Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_FADE_LEFT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_FADE_LEFT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_FADE_LEFT</pre>
                                <div class="block">Left Fade Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_FADE_UP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_FADE_UP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_FADE_UP</pre>
                                <div class="block">Upward Fade Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_FADE_DOWN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_FADE_DOWN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_FADE_DOWN</pre>
                                <div class="block">Downward Fade Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_SLANT_UP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_SLANT_UP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_SLANT_UP</pre>
                                <div class="block">Upward Slant Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_SLANT_DOWN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_SLANT_DOWN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_SLANT_DOWN</pre>
                                <div class="block">Downward Slant Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_CASCADE_UP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_CASCADE_UP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_CASCADE_UP</pre>
                                <div class="block">Upward Cascade Text Shape</div>
                            </li>
                        </ul>
                        <a name="TEXT_CASCADE_DOWN">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>TEXT_CASCADE_DOWN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a> TEXT_CASCADE_DOWN</pre>
                                <div class="block">Downward Cascade Text Shape</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="values--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>values</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a>[]&nbsp;values()</pre>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared. This method may be used to iterate
                                    over the constants as follows:
                                    <pre>
for (STTextShapeType c : STTextShapeType.values())
&nbsp;   System.out.println(c);
</pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing the constants of this enum type, in the order they are
                                        declared
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
                                <div class="block">Returns the enum constant of this type with the specified name.
                                    The string must match <i>exactly</i> an identifier used to declare an
                                    enum constant in this type. (Extraneous whitespace characters are
                                    not permitted.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the enum constant to be returned.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the enum constant with the specified name</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no
                                        constant with the specified name
                                    </dd>
                                    <dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="value--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>value</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;value()</pre>
                            </li>
                        </ul>
                        <a name="fromValue-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>fromValue</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STTextShapeType.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STTextShapeType</a>&nbsp;fromValue(java.lang.String&nbsp;v)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/STTextShapeType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/sl/draw/binding/STShapeType.html"
               title="enum in org.apache.poi.sl.draw.binding"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/draw/binding/STTextShapeType.html" target="_top">Frames</a>
        </li>
        <li><a href="STTextShapeType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
